TICKIT_GET_ROOTWIN(3)

NAME
tickit_get_rootwin - obtain the root window from the toplevel instance

SYNOPSIS
    #include <tickit.h>

    TickitWindow *tickit_get_rootwin(Tickit *t);

Link with -ltickit.

DESCRIPTION
tickit_get_rootwin() obtains the root window instance associated with the toplevel instance, creating it first if necessary. Once created, repeated calls to this function will return the same window.

RETURN VALUE
tickit_get_rootwin() returns a window instance pointer.

SEE ALSO
tickit_new_stdio(3), tickit_window(7), tickit(7)